Bug 1127490 (CVE-2014-3508) - CVE-2014-3508 openssl: information leak in pretty printing functions
Summary: CVE-2014-3508 openssl: information leak in pretty printing functions
Status: CLOSED ERRATA
Alias: CVE-2014-3508
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140806,repor...
Keywords: Security
Depends On: 1127695 1127696 1127697 1127698 1127704 1127705 1127709 1127831 1127832 1127885 1128013 1128014 1128015 1128016 1128405 1128406 1128961 1181611
Blocks: 1127468 1127506 1138223 1142543
TreeView+ depends on / blocked
 
Reported: 2014-08-07 01:14 UTC by Andrew Griffiths
Modified: 2019-04-28 09:43 UTC (History)
65 users (show)

(edit)
It was discovered that the OBJ_obj2txt() function could fail to properly NUL-terminate its output. This could possibly cause an application using OpenSSL functions to format fields of X.509 certificates to disclose portions of its memory.
Clone Of:
(edit)
Last Closed: 2014-09-24 17:43:38 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1052 normal SHIPPED_LIVE Moderate: openssl security update 2014-08-14 01:32:03 UTC
Red Hat Product Errata RHSA-2014:1053 normal SHIPPED_LIVE Moderate: openssl security update 2014-08-13 22:18:41 UTC
Red Hat Product Errata RHSA-2014:1054 normal SHIPPED_LIVE Moderate: openssl security update 2014-08-14 08:44:38 UTC
Red Hat Product Errata RHSA-2014:1256 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 2.1.0 openssl security update 2014-09-17 20:30:52 UTC
Red Hat Product Errata RHSA-2014:1297 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.3 openssl security update 2014-09-24 20:53:55 UTC

Description Andrew Griffiths 2014-08-07 01:14:41 UTC
It was found that OBJ_obj2txt may cause pretty printing functions such as X509_name_oneline, X509_name_print_ex, and others, to leak information from the stack. If applications echo pretty printing output, then a remote attacker could exploit this flaw to read information from the stack. OpenSSL clients and servers are not affected by this flaw; only applications that echo pretty printing output are affected.

Comment 1 Arun Babu Neelicattu 2014-08-07 05:52:22 UTC
External References:

https://www.openssl.org/news/secadv_20140806.txt

Comment 5 Tomas Hoger 2014-08-07 11:34:15 UTC
Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1127704]

Comment 6 Tomas Hoger 2014-08-07 11:34:21 UTC
Created mingw-openssl tracking bugs for this issue:

Affects: fedora-all [bug 1127705]

Comment 7 Tomas Hoger 2014-08-07 11:39:49 UTC
Created mingw-openssl tracking bugs for this issue:

Affects: epel-7 [bug 1127709]

Comment 9 Tomas Hoger 2014-08-07 18:36:12 UTC
Created mingw32-openssl tracking bugs for this issue:

Affects: epel-5 [bug 1127885]

Comment 11 Fedora Update System 2014-08-09 07:34:13 UTC
openssl-1.0.1e-39.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-08-09 07:35:24 UTC
openssl-1.0.1e-39.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Martin Prpič 2014-08-12 07:41:51 UTC
IssueDescription:

It was discovered that the OBJ_obj2txt() function could fail to properly NUL-terminate its output. This could possibly cause an application using OpenSSL functions to format fields of X.509 certificates to disclose portions of its memory.

Comment 15 errata-xmlrpc 2014-08-13 18:19:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1053 https://rhn.redhat.com/errata/RHSA-2014-1053.html

Comment 16 errata-xmlrpc 2014-08-13 21:33:16 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:1052 https://rhn.redhat.com/errata/RHSA-2014-1052.html

Comment 17 errata-xmlrpc 2014-08-14 04:44:46 UTC
This issue has been addressed in following products:

  Red Hat Storage 2.1

Via RHSA-2014:1054 https://rhn.redhat.com/errata/RHSA-2014-1054.html

Comment 18 errata-xmlrpc 2014-09-17 16:30:59 UTC
This issue has been addressed in the following products:

  JBoss Web Server 2.1.0

Via RHSA-2014:1256 https://rhn.redhat.com/errata/RHSA-2014-1256.html

Comment 19 errata-xmlrpc 2014-09-24 16:54:11 UTC
This issue has been addressed in the following products:

  JBoss Enterprise Application Platform 6.3.0

Via RHSA-2014:1297 https://rhn.redhat.com/errata/RHSA-2014-1297.html


Note You need to log in before you can comment on or make changes to this bug.